Page MenuHomePhabricator

Track remaining jessie systems in production
Open, MediumPublic

Description

This meta tasks tracks the migration of the remaining servers running Debian jessie towards either Stretch or Buster.

also see: T247045 (Migrate all of production metal to Buster or later)

  • cloudcontrol1003.wikimedia.org T221770
  • cloudcontrol1004.wikimedia.org T221770
  • cloudservices1003.wikimedia.org T221769
  • cloudservices1004.wikimedia.org T221769
  • cloudvirtan1001.eqiad.wmnet T224566
  • cloudvirtan1002.eqiad.wmnet T224566
  • cloudvirtan1003.eqiad.wmnet T224566
  • cloudvirtan1004.eqiad.wmnet T224566
  • cloudvirtan1005.eqiad.wmnet T224566
  • dbmonitor1001.wikimedia.org T224589
  • dbmonitor2001.wikimedia.org T224589
  • dubnium.wikimedia.org T224557 (replaced by ldap-corp1001)
  • pollux.wikimedia.org T224557 (replaced by ldap-corp2001)
  • poolcounter2001.codfw.wmnet T224572
  • poolcounter2002.codfw.wmnet T224572
  • poolcounter1001.eqiad.wmnet T224572
  • poolcounter1003.eqiad.wmnet T224572
  • dumpsdata[1001-1002].eqiad.wmnet T224563
  • helium.eqiad.wmnet -> Will be replaced by backup2001
  • heze.codfw.wmnet -> Will be replaced by backup1001 T196478
  • kubestagetcd1001.eqiad.wmnet T224568 (replaced by new Buster hosts)
  • kubestagetcd1002.eqiad.wmnet T224568 (replaced by new Buster hosts)
  • kubestagetcd1003.eqiad.wmnet T224568 (replaced by new Buster hosts)
  • kubetcd2001.codfw.wmnet T239835 (replaced by kubetcd2004)
  • kubetcd2002.codfw.wmnet T239835 (replaced by kubetcd2005)
  • kubetcd2003.codfw.wmnet T239835 (replaced by kubetcd2006)
  • labmon1001.eqiad.wmnet T224585 (replaced by cloudmetrics1001)
  • labmon1002.eqiad.wmnet T224585 (replaced by cloudmetrics1002)
  • labpuppetmaster.1001.wikimedia.org
  • labpuppetmaster.1002.wikimedia.org
  • labtestpuppetmaster2001.wikimedia.org -> The WMCS puppet masters are being migrated into Cloud VPS T171188
  • labstore2001.codfw.wmnet -> Will be discarded once cloudbackup200[1,2].wikimedia.org are setup, see T214835
  • labstore2002.codfw.wmnet -> Will be discarded once cloudbackup200[1,2].wikimedia.org are setup, see T214835
  • labstore2003.codfw.wmnet -> Will be discarded once cloudbackup200[1,2].wikimedia.org are setup, see T214835
  • labstore2004.codfw.wmnet -> Will be discarded once cloudbackup200[1,2].wikimedia.org are setup, see T214835
  • labstore1006.wikimedia.org T224583
  • labstore1007.wikimedia.org T224583
  • wezen.codfw.wmnet (now centrallog2001.codfw.wmnet) T224564
  • netmon1003.wikimedia.org (decomissioned in T198939)
  • pybal-test2001.codfw.wmnet T224570
  • restbase[2009-2012].codfw.wmnet T224553
  • restbase[1017-1018].eqiad.wmnet T224553
  • restbase-dev1004.eqiad.wmnet T224554
  • restbase-dev1005.eqiad.wmnet T224554
  • restbase-dev1006.eqiad.wmnet T224554
  • scb[1001-1004].eqiad.wmnet -> Remaining services are being migrated to Kubernetes, then it's obsolete
  • scb[2001-2006].codfw.wmnet -> Remaining services are being migrated to Kubernetes, then it's obsolete
  • tungsten.eqiad.wmnet -> This is blocked on migrating xhgui to the webperf hosts T180761, now using new VMs instead (T238098), role needs to support buster: T238788
  • ununpentium.wikimedia.org T180641

Hosts pending decommission:

Decommissioned hosts:

  • auth1001.eqiad.wmnet
  • bast3002.wikimedia.org
  • eeden.wikimedia.org
  • kafka1012.eqiad.wmnet
  • kafka1013.eqiad.wmnet
  • kafka1014.eqiad.wmnet
  • kafka1020.eqiad.wmnet
  • kafka1022.eqiad.wmnet
  • kafka1023.eqiad.wmnet
  • restbase[1007-1015].eqiad.wmnet T226715
  • labstore1001.eqiad.wmnet T187456
  • labstore1002.eqiad.wmnet T187456
  • darmstadtium.eqiad.wmnet T224562
  • lithium.eqiad.wmnet T229557
  • iron.wikimedia.org T220505
  • neodymium.eqiad.wmnet T220503
  • sarin.codfw.wmnet T220504
  • etherpad1001.eqiad.wmnet T224580

Details

Related Gerrit Patches:
operations/puppet : productionjessie: Downgrade to TLSv1 for backup
operations/puppet : productionMove cloudvirt1016 and 1017 to Stretch

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedMoritzMuehlenhoff
StalledNone
Resolvedelukey
Resolvedelukey
Resolvedmobrovac
ResolvedMoritzMuehlenhoff
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
DuplicateDzahn
DeclinedDzahn
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
OpenNone
DuplicateNone
Resolvedfsero
ResolvedArielGlenn
ResolvedArielGlenn
OpenArielGlenn
Resolvedfgiunchedi
ResolvedPapaul
OpenNone
ResolvedAndrew
ResolvedMoritzMuehlenhoff
ResolvedRequestMoritzMuehlenhoff
ResolvedRequestMoritzMuehlenhoff
DuplicateNone
OpenNone
ResolvedVgutierrez
OpenNone
ResolvedMoritzMuehlenhoff
DuplicateNone
DuplicateDzahn
ResolvedDzahn
DuplicateRequestDzahn
OpenJclark-ctr
OpenDzahn
ResolvedDzahn
DuplicateNone
OpenNone
ResolvedDzahn
ResolvedDzahn
StalledNone
ResolvedBstorm
ResolvedPhamhi
OpenNone
OpenNone
StalledNone
OpenNone
ResolvedDzahn
StalledNone
DeclinedMoritzMuehlenhoff
Invalidthcipriani
Openmmodell
Resolvedhashar
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedPapaul
ResolvedJHedden
Resolvedaborrero
Resolvedaborrero
ResolvedPapaul
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
ResolvedMarostegui
Resolvedaborrero
ResolvedAndrew
OpenNone
ResolvedAndrew
ResolvedAndrew
InvalidJHedden
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
MoritzMuehlenhoff updated the task description. (Show Details)
MoritzMuehlenhoff updated the task description. (Show Details)
Andrew updated the task description. (Show Details)Jul 17 2019, 6:59 PM

Change 525712 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Move cloudvirt1016 and 1017 to Stretch

https://gerrit.wikimedia.org/r/525712

Change 525712 merged by Andrew Bogott:
[operations/puppet@production] Move cloudvirt1016 and 1017 to Stretch

https://gerrit.wikimedia.org/r/525712

Andrew updated the task description. (Show Details)Sep 6 2019, 3:35 AM
Dzahn updated the task description. (Show Details)Sep 14 2019, 12:03 AM
Dzahn updated the task description. (Show Details)Sep 18 2019, 9:24 PM
Dzahn added a subscriber: Dzahn.Oct 23 2019, 3:45 PM

Change 546928 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] jessie: Downgrade to TLSv1 for backup

https://gerrit.wikimedia.org/r/546928

Change 546928 merged by Alexandros Kosiaris:
[operations/puppet@production] jessie: Downgrade to TLSv1 for backup

https://gerrit.wikimedia.org/r/546928

Dzahn updated the task description. (Show Details)Oct 30 2019, 7:09 PM
Dzahn updated the task description. (Show Details)Nov 1 2019, 6:29 PM
jcrespo changed the status of subtask T224589: Migrate dbmonitor hosts to Stretch/Buster from Open to Stalled.Nov 12 2019, 9:39 AM
ArielGlenn updated the task description. (Show Details)Nov 27 2019, 12:54 PM
ArielGlenn updated the task description. (Show Details)
Andrew updated the task description. (Show Details)Jan 21 2020, 7:32 PM
Andrew updated the task description. (Show Details)Jan 21 2020, 7:47 PM
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)
Volans updated the task description. (Show Details)Feb 12 2020, 9:39 AM
Volans updated the task description. (Show Details)Feb 26 2020, 3:19 PM
jijiki changed the status of subtask T213089: Upgrade memcached for Debian Stretch/Buster from Open to Stalled.Feb 28 2020, 4:39 PM
Dzahn updated the task description. (Show Details)Sat, Mar 14, 12:28 AM
Dzahn changed the status of subtask T224591: Migrate contint* hosts to Buster from Open to Stalled.Wed, Mar 25, 3:26 PM